import 'package:syncrow_web/pages/spaces_management/space_model/models/space_template_model.dart';
import 'package:syncrow_web/pages/spaces_management/space_model/models/subspace_template_model.dart';

class SubSpaceModelState {
  final List<SubspaceTemplateModel> subSpaces;
  final List<UpdateSubspaceTemplateModel> updatedSubSpaceModels;
  final String errorMessage;

  SubSpaceModelState(
    this.subSpaces,
    this.updatedSubSpaceModels,
    this.errorMessage,
  );

  SubSpaceModelState copyWith({
    List<SubspaceTemplateModel>? subSpaces,
    List<UpdateSubspaceTemplateModel>? updatedSubSpaceModels,
    String? errorMessage,
  }) {
    return SubSpaceModelState(
      subSpaces ?? this.subSpaces,
      updatedSubSpaceModels ?? this.updatedSubSpaceModels,
      errorMessage ?? this.errorMessage,
    );
  }
}
